Page MenuHomePhabricator

Deploy Growth features on Turkish Wikipedia
Closed, ResolvedPublic

Description

  • The community consensus is here.
  • List people we can contact for the next steps:
  • Subscribe to the Growth team newsletter to be informed about the next steps and new tools.

Then

Translations

Help panel

Homepage

Mentors

  • Create if necessary or update the mentors list
    • the format is [[User:Name]]|Description (be careful about the position of the | in the example!)
    • add the following sentence at the top:

Please introduce yourself in a short way (240 characters max) so that newcomers will know more about you. To increase focus, your message will not render wikitext or links. [[mw:Special:MyLanguage/Growth/Communities/How to introduce yourself as a mentor|See examples and best practices.]]

Suggested edits

Suggested edits cover 5 maintenance tasks: Update article, Add references, Add links, Expand article, Copyedit article

Maintenance templates
Each task is based on maintenance templates (and number of pages linked to this template):

TaskMain templateOther possible templates
Update articleŞablon:Güncelle (800)-
Add referencesŞablon:Kaynaksız (+2000)-
Add links/CleanupŞablon:Düzenle (3000+)Şablon:Temizleme (240)
CopyeditŞablon:Üslup (470)Şablon:Yazım yanlışları (100)
Expand articleŞablon:Taslak (+2000)-

Learn more
Each task has a "learn more" link, that goes to a help page:

You can change each link later by locally editing the page MediaWiki:NewcomerTasks.json

Additional links
Suggested Edits needs two more links to work.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2020, 7:10 PM
Trizek-WMF moved this task from Inbox to External on the Growth-Team board.

Superyetkin, thank you for creating this task! I'm here to help you, so please tell me if you have any questions or blockers.

We are also really happy to see your wiki joining our project!

Trizek-WMF renamed this task from Deploy Growth features on trwiki to Deploy Growth features on Turkish Wikipedia.Jan 23 2020, 12:56 PM
Trizek-WMF triaged this task as Medium priority.

@Superyetkin, any updates on your side?

Is there any chance we can have the features deployed before completing the translations? This may take a while on our side.

Translate the privacy statement, the privacy policy and the interface is mandatory, and quite the rest is too. I'm afraid that the only thing you can skip is the documentation.

These features will be displayed to people who don't necessary speak English. Have English displayed may block them from editing.

Trizek-WMF updated the task description. (Show Details)Mar 10 2020, 2:10 PM

I've just added a new bullet point on the section about Homepage. It is about getting suggested edits on your wiki.

Check if the templates listed on Wikidata for each maintenance task are the right ones. If not, please provide better links.

Superyetkin updated the task description. (Show Details)Mar 10 2020, 5:05 PM

This task is still open, and we can deploy the Growth features to your wiki if you complete it.

Trizek-WMF updated the task description. (Show Details)May 5 2020, 6:02 PM
Trizek-WMF updated the task description. (Show Details)Jun 17 2020, 1:51 PM
Trizek-WMF updated the task description. (Show Details)Jun 17 2020, 1:53 PM
Trizek-WMF updated the task description. (Show Details)Jun 17 2020, 1:56 PM
Trizek-WMF updated the task description. (Show Details)

Hello @Superyetkin!

I updated this task since some things have changed for a deployment. We have tried to simplify the process so you have less things to do.

You have 98 % of interface translations done and most help pages are translated as well, which is amazing.

You only miss a few elements to have the Growth tools being deployed to your wiki. I highlighted them on the task description, using checkboxes and "TBD".

I really wish your wiki to get these feature, that would help you to welcome newcomers that return to Turkish Wikipedia after the too long blackout you experienced!

Superyetkin updated the task description. (Show Details)Jun 17 2020, 5:16 PM
Mavrikant updated the task description. (Show Details)Sep 19 2020, 8:02 PM
Mavrikant added a subscriber: Mavrikant.
Evrifaessa updated the task description. (Show Details)Sep 20 2020, 2:33 PM
Evrifaessa updated the task description. (Show Details)Sep 20 2020, 2:37 PM
Evrifaessa updated the task description. (Show Details)Sep 20 2020, 2:51 PM

@Superyetkin, @Trizek-WMF, as every page is translated, we now can proceed :)

Evrifaessa updated the task description. (Show Details)Sep 20 2020, 2:54 PM

@Catrope, @Trizek-WMF, @MMiller_WMF: If possible, could you please give an ETA for this? We already found 10 users willing to help newbies in one day, and we're so excited for this :)

Trizek-WMF updated the task description. (Show Details)Sep 22 2020, 4:22 PM

Thank you for completing this task! This is exciting!

The easier tasks (copyedit and add links) don't have a lot of articles connected to them. It means that newcomers may not have access to easier tasks. Would some other templates fit these tasks? Thanks!

Thank you for completing this task! This is exciting!

The easier tasks (copyedit and add links) don't have a lot of articles connected to them. It means that newcomers may not have access to easier tasks. Would some other templates fit these tasks? Thanks!

@Evrifaessa -- specifically, this is how many articles are available for each of the task types according to the templates you include:

  • Update article: Şablon:Güncelle (800)
  • Add references: Şablon:Kaynaksız (+2000)
  • Add links/Cleanup: Şablon:Temizleme (240)
  • Copyedit: Şablon:Yazım yanlışları (100)
  • Expand article: Şablon:Taslak (+2000)

We would like there to be thousands of tasks for "Add links" and for "Copyedit", so there are plenty for newcomers to choose from. Are there additional templates we could include that flag articles needing those things? We can add templates together for the same task type.

Trizek-WMF added a comment.EditedSep 22 2020, 6:39 PM

Which of the following tasks these links are for?

  • Update article
  • Add references
  • Add links/Cleanup
  • Copyedit: Şablon
  • Expand article

Could you add then to the task description? Thanks ! :)

Trizek-WMF updated the task description. (Show Details)Sep 22 2020, 6:40 PM

@Trizek-WMF and @MMiller_WMF, {{Viki bağlantısız}} is the trwiki equivalent for enwiki's Template:Underlinked. Which means "This article needs more links to other articles to help integrate it into the encyclopedia. Please help improve this article by adding links that are relevant to the context within the existing text." So this can be used for the "Add links" task

{{Düzenle}} means "This article may need to be wikified to meet Wikipedia's quality standards. Please help by adding relevant internal links, or by improving the article's layout". We place "düzenle" when the article doesn't meet VP:BEK (WP:MOS). Düzenle is like a general tag that can be used for everything that seems wrong to our Manual of Style. This may fit both "add links" and "cleanup" tasks.

We also have {{üslup}} template. Which is the exact translation of Template:Tone from enwiki, which says "This article's tone or style may not reflect the encyclopedic tone used on Wikipedia". I don't know if we can use this for any task.

We have {{öksüz}}, which is used in 6000+ articles. It is the same with enwiki's Template:Orphan. The meaning of this template is: "This article is an orphan article; It is not wikilinked from any article in Wikipedia". This is relevant to "add links" task, for sure.

This is all we can use in Growth I guess. Contact me if you need further help :)

Trizek-WMF updated the task description. (Show Details)Sep 30 2020, 4:32 PM
Trizek-WMF reassigned this task from Superyetkin to Catrope.EditedSep 30 2020, 4:35 PM
Trizek-WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Sorry for the delay, @Evrifaessa! I was not around over the last days. And thank you for the ping. :)

I just updated the task description, following your indications.

The task "add links" is for adding links inside of the article people read. This is to improve articles that only have text.

Now, I think we are good to go. I let our lead engineer double-check on it and let you know when it would be deployed.

Change 631223 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Turkish (tr)

https://gerrit.wikimedia.org/r/631223

Change 631223 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Turkish (tr)

https://gerrit.wikimedia.org/r/631223

@Evrifaessa what should the labels for the help panel links be? For now, I've used the page names as labels, but that doesn't always work well. The links would be displayed in the help panel like this:

Please let me know what I should change these labels to (some of them may be right, but some others probably need to be changed)

Also, please check my work at https://tr.wikipedia.org/wiki/MediaWiki:NewcomerTasks.json . Did I put in the right templates and help pages for the right task types? If anything needs to be changed, tell me, or edit the page yourself (only administrators can edit it).

@Catrope, labels of help panel links seem good. Tasks also seem good. I'm an interface admin and I have "editinterface" permission, so I can change them at any time I guess. So, nothing needs to be changed for now.

@Catrope and @Trizek-WMF, any updates for this task?

Thanks @Evrifaessa! Sorry for the late response.

I will schedule this for deployment on Tuesday October 13th, exact time TBD.

Catrope set Due Date to Tue, Oct 13, 6:00 PM.Tue, Oct 6, 4:02 AM

Because the deployment train was delayed, we had to postpone this deployment to October 19th. I apologize for the inconvenience.

Catrope changed Due Date from Tue, Oct 13, 6:00 PM to Mon, Oct 19, 6:00 PM.Tue, Oct 13, 7:35 PM

Change 634119 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on trwiki

https://gerrit.wikimedia.org/r/634119

@Catrope, just wanted to remind you that it's October 19th today.

Change 634119 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on trwiki

https://gerrit.wikimedia.org/r/634119

Mentioned in SAL (#wikimedia-operations) [2020-10-19T18:31:48Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable and configure GrowthExperiments on trwiki (T243445) (duration: 00m 57s)

This is live now! I apologize for the delays and the postponement. Other deployments were postponed/canceled and we had to wait for those.

@Evrifaessa, let us know if your community has any questions about these tools. :)

Change 635048 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] GrowthExperiments: Set default variant to D on trwiki

https://gerrit.wikimedia.org/r/635048

@Trizek-WMF, I wanted to test this by creating a new account in trwiki. But I neither see the special mentee homepage, nor see the help form that supposed to appear in the right side of the bottom. How do I actually access to mentor/mentee tools?

Change 635048 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Set default variant to D on trwiki

https://gerrit.wikimedia.org/r/635048

Mentioned in SAL (#wikimedia-operations) [2020-10-19T19:01:16Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: GrowthExperiments: Set default variant to D on trwiki (T243445, T265556) (duration: 00m 56s)

Etonkovidova added a subscriber: Etonkovidova.

Checked - all seem to be in place.

Thank you! There are already 16 edits -- a pretty good start.

MMiller_WMF closed this task as Resolved.Thu, Oct 22, 9:37 PM